// GET https://api.signatureapi.com/v1/envelopes/{envelope_id}
// X-API-Key: key_test_...
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"label": "Exploration Agreement for Order Ref. 25005",
"message": "Please review the agreement and provide your signature.",
"status": "completed",
"mode": "live",
"routing": "sequential",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"attestation": "none",
"branding": {
"logo": null,
"accent_color": "#2463eb",
"email": {
"from": "noreply@signatureapi.com",
"footer": null,
"logo_position": "left"
}
},
"sender": {
"name": "Jennifer Lee",
"email": "jennifer@example.com",
"organization": "Acme Enterprises"
},
"topics": [
"sales",
"project_blue"
],
"metadata": {
"customer_ref": "x9550501",
"account_annual_revenue": "$4,500,000"
},
"documents": [
{
"id": "doc_3jBYlxa9gv0fGLzFAnfwxe",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"page_count": 2,
"url": "https://pub-e5051420e98a4fdfb3fd42a62fbf06fa.r2.dev/dummy.docx",
"format": "docx",
"data": {
"date": "December 31st, 2025",
"showAlert": true,
"serviceProvider": {
"name": "Jane Smith",
"organization": "ACME Global, Inc."
},
"client": {
"name": "Michael J. Miller",
"organization": "Miller Industries"
}
},
"places": [
{
"key": "provider_signs_here",
"type": "signature",
"recipient_key": "service_provider"
},
{
"key": "client_signs_here",
"type": "signature",
"recipient_key": "client"
}
]
}
],
"recipients": [
{
"id": "re_26w2VVV5JVm4j459TY5BNM",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "service_provider",
"name": "Jane Smith",
"email": "jane@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T14:00:00.000Z",
"status_updated_at": "2025-12-31T14:00:00.000Z"
},
{
"id": "re_38UVwrWdCqX5kqeKFJUTtf",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "client",
"name": "Michael J. Miller",
"email": "michael@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T15:00:00.000Z",
"status_updated_at": "2025-12-31T15:00:00.000Z"
}
],
"deliverable": {
"id": "del_1T7If8GgrTOf7zBVPaJf2e",
"name": null,
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "standard",
"status": "generated",
"url": "https://s3.us-east-2.amazonaws.com/signatureapi-vault-dev/envelopes/55072f0e...",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": null,
"password": null,
"created_at": "2025-12-31T12:00:00.000Z",
"generated_at": "2025-12-31T15:00:05.000Z"
},
"captures": {},
"snapshot_url": null,
"created_at": "2025-12-31T12:00:00.000Z",
"completed_at": "2025-12-31T15:00:00.000Z"
}
Retrieve the full details of an existing envelope
// GET https://api.signatureapi.com/v1/envelopes/{envelope_id}
// X-API-Key: key_test_...
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"label": "Exploration Agreement for Order Ref. 25005",
"message": "Please review the agreement and provide your signature.",
"status": "completed",
"mode": "live",
"routing": "sequential",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"attestation": "none",
"branding": {
"logo": null,
"accent_color": "#2463eb",
"email": {
"from": "noreply@signatureapi.com",
"footer": null,
"logo_position": "left"
}
},
"sender": {
"name": "Jennifer Lee",
"email": "jennifer@example.com",
"organization": "Acme Enterprises"
},
"topics": [
"sales",
"project_blue"
],
"metadata": {
"customer_ref": "x9550501",
"account_annual_revenue": "$4,500,000"
},
"documents": [
{
"id": "doc_3jBYlxa9gv0fGLzFAnfwxe",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"page_count": 2,
"url": "https://pub-e5051420e98a4fdfb3fd42a62fbf06fa.r2.dev/dummy.docx",
"format": "docx",
"data": {
"date": "December 31st, 2025",
"showAlert": true,
"serviceProvider": {
"name": "Jane Smith",
"organization": "ACME Global, Inc."
},
"client": {
"name": "Michael J. Miller",
"organization": "Miller Industries"
}
},
"places": [
{
"key": "provider_signs_here",
"type": "signature",
"recipient_key": "service_provider"
},
{
"key": "client_signs_here",
"type": "signature",
"recipient_key": "client"
}
]
}
],
"recipients": [
{
"id": "re_26w2VVV5JVm4j459TY5BNM",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "service_provider",
"name": "Jane Smith",
"email": "jane@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T14:00:00.000Z",
"status_updated_at": "2025-12-31T14:00:00.000Z"
},
{
"id": "re_38UVwrWdCqX5kqeKFJUTtf",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "client",
"name": "Michael J. Miller",
"email": "michael@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T15:00:00.000Z",
"status_updated_at": "2025-12-31T15:00:00.000Z"
}
],
"deliverable": {
"id": "del_1T7If8GgrTOf7zBVPaJf2e",
"name": null,
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "standard",
"status": "generated",
"url": "https://s3.us-east-2.amazonaws.com/signatureapi-vault-dev/envelopes/55072f0e...",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": null,
"password": null,
"created_at": "2025-12-31T12:00:00.000Z",
"generated_at": "2025-12-31T15:00:05.000Z"
},
"captures": {},
"snapshot_url": null,
"created_at": "2025-12-31T12:00:00.000Z",
"completed_at": "2025-12-31T15:00:00.000Z"
}
completed_at for an in-progress envelope) are returned as null.
200 OK status code along with an envelope object on success, or an error otherwise.
// GET https://api.signatureapi.com/v1/envelopes/{envelope_id}
// X-API-Key: key_test_...
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"label": "Exploration Agreement for Order Ref. 25005",
"message": "Please review the agreement and provide your signature.",
"status": "completed",
"mode": "live",
"routing": "sequential",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"attestation": "none",
"branding": {
"logo": null,
"accent_color": "#2463eb",
"email": {
"from": "noreply@signatureapi.com",
"footer": null,
"logo_position": "left"
}
},
"sender": {
"name": "Jennifer Lee",
"email": "jennifer@example.com",
"organization": "Acme Enterprises"
},
"topics": [
"sales",
"project_blue"
],
"metadata": {
"customer_ref": "x9550501",
"account_annual_revenue": "$4,500,000"
},
"documents": [
{
"id": "doc_3jBYlxa9gv0fGLzFAnfwxe",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"page_count": 2,
"url": "https://pub-e5051420e98a4fdfb3fd42a62fbf06fa.r2.dev/dummy.docx",
"format": "docx",
"data": {
"date": "December 31st, 2025",
"showAlert": true,
"serviceProvider": {
"name": "Jane Smith",
"organization": "ACME Global, Inc."
},
"client": {
"name": "Michael J. Miller",
"organization": "Miller Industries"
}
},
"places": [
{
"key": "provider_signs_here",
"type": "signature",
"recipient_key": "service_provider"
},
{
"key": "client_signs_here",
"type": "signature",
"recipient_key": "client"
}
]
}
],
"recipients": [
{
"id": "re_26w2VVV5JVm4j459TY5BNM",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "service_provider",
"name": "Jane Smith",
"email": "jane@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T14:00:00.000Z",
"status_updated_at": "2025-12-31T14:00:00.000Z"
},
{
"id": "re_38UVwrWdCqX5kqeKFJUTtf",
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "signer",
"key": "client",
"name": "Michael J. Miller",
"email": "michael@example.com",
"status": "completed",
"ceremony": {
"authentication": [
{
"type": "email_link",
"subject_override": null,
"message_override": null
}
],
"redirect_url": null,
"redirect_delay": 3,
"embeddable_in": [],
"url_variant": "standard",
"url": null
},
"delivery_type": "email",
"ceremony_creation": "automatic",
"signature_options": ["typed", "drawn"],
"completed_at": "2025-12-31T15:00:00.000Z",
"status_updated_at": "2025-12-31T15:00:00.000Z"
}
],
"deliverable": {
"id": "del_1T7If8GgrTOf7zBVPaJf2e",
"name": null,
"envelope_id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"type": "standard",
"status": "generated",
"url": "https://s3.us-east-2.amazonaws.com/signatureapi-vault-dev/envelopes/55072f0e...",
"language": "en",
"timezone": "America/New_York",
"timestamp_format": "MM/DD/YYYY HH:mm:ss",
"included_documents": null,
"password": null,
"created_at": "2025-12-31T12:00:00.000Z",
"generated_at": "2025-12-31T15:00:05.000Z"
},
"captures": {},
"snapshot_url": null,
"created_at": "2025-12-31T12:00:00.000Z",
"completed_at": "2025-12-31T15:00:00.000Z"
}
Was this page helpful?